<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>FlexBox: order</title>
	<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
</head>
<style>
	body {
		margin: 0;
		font-size: 16px;
		font-family: 'Roboto', sans-serif;
	}
	img { max-width: 100% }
	a { text-decoration: none; }
	p { padding: 0; margin: 0; }
	html { box-sizing: border-box; }
	*,*:before,*:after { box-sizing: inherit; }

	.g-content { max-width: 1200px; width: 100%; margin: 0 auto; }

	.example {
		display: flex;
		flex-wrap: wrap;
		gap: 20px; /* Можно использовать свойство что бы задать отступы между флекс элементами */
		border: 1px solid #000;
	}

	.example .example-item {
		/*padding: 10px;*/
		width: calc(20% - 16px); /* Но есть небольшой косяк в использовании gap, что он не как фиксируется для задания ширины флекс элемента
		 нужно через функцию calc подбирать компенсацию этого отступа */
		box-sizing: border-box;
	}

	.example .example-item img {
		width: 100%;
		height: 100%;
	}


</style>
	<body>
		<div class="g-content">

			<h3>
				gap
			</h3>
			<div class="example">
				<div class="example-item"><img src="./images/img1.png" alt=""></div>
				<div class="example-item"><img src="./images/img2.png" alt=""></div>
				<div class="example-item"><img src="./images/img3.png" alt=""></div>
				<div class="example-item"><img src="./images/img4.png" alt=""></div>
				<div class="example-item"><img src="./images/img5.png" alt=""></div>
				<div class="example-item"><img src="./images/img6.png" alt=""></div>
				<div class="example-item"><img src="./images/img7.png" alt=""></div>
				<div class="example-item"><img src="./images/img8.png" alt=""></div>
				<div class="example-item"><img src="./images/img9.png" alt=""></div>
				<div class="example-item"><img src="./images/img10.png" alt=""></div>
				<div class="example-item"><img src="./images/img11.png" alt=""></div>
				<div class="example-item"><img src="./images/img12.png" alt=""></div>
			</div>
		</div>
	</body>
</html>